Gem Trouble

No idea what I've done, I have not upgraded anything or installed new
gems but if I issue a command such as gem list, rake features, rake
routes or try and create a new rails project, I get the error
messages:

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such
file to load -- fileutils (LoadError)
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems/custom_require.rb:27:in `require'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:175:in `ensure_gem_subdirectories'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:487:in `set_home'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:213:in `dir'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:494:in `set_paths'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:239:in `path'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems/source_index.rb:60:in `installed_spec_directories'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems/source_index.rb:47:in `from_installed_gems'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:141:in `source_index'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:310:in `activate'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:65:in `active_gem_with_options'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/
ruby/1.8/rubygems.rb:50:in `gem'
  from /usr/bin/rake:18

Using OSX.

Any thoughts? Many thanks,

Mike

I'm fairly sure if I enter which gem, the wrong directory is
returned. Any idea how to change this?
Mike

the problem is in fileutils - a part of osx. so you have to repair it in
order to get gem work...

tom

mikej wrote: